/*
 * main.c
 *
 *  Created on: 30 mar 2016
 *      Author: MacBookPro
 */

#include <avr/io.h>
#include <util/delay.h>

// ====================================
//                ATtiny
//                  44
//              +---------+
//  VCC---------+ 1    14 +-------GND
//  		  --+ 2    13 +--
//            --+ 3    12 +--
//     		  --+ 4    11 +--
// 			  --+ 5	   10 +----PA3-Switch
// 	 LED-PA7----+ 6     9 +--
// 			  --+ 7     8 +--
//              +---------+
// ====================================

#define LED_PORT PA7
#define Switch_PORT PA3

int main(void) {

    // Set the LED port number as output.
    // The DDRA is the data direction for port A.
    // This ...
    //  - shifts the "1" on left to the desired position and ...
    //  - does bitwise "OR" with the value in the port register.
    DDRA |= (1 << LED_PORT);

    // Start infinite loop.
    // (this is how most programs work)
    while (1) {


        PORTA |= (1 << LED_PORT); // Set the LED bit to "1" - LED will be "on".
        _delay_ms(100);  // Wait a little. // The delay function simply does N-number of "empty" loops.

        PORTA &= ~(1 << LED_PORT);  // Set the LED bit to "0" - LED will be "off".
        _delay_ms(100);  // Wait a little.
    }

    // Return the mandatory for the "main" function value.
    return (0);
}

